Developer Documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
ACG::GaussianBlurFilter Class Reference
Inheritance diagram for ACG::GaussianBlurFilter:

## Public Member Functions
| GaussianBlurFilter (int _texWidth, int _texHeight, int _blurRadius, float _blurSigma=1.0f, GLenum _internalfmt=GL_RGBA)
virtual | ~GaussianBlurFilter ()
| Class destructor.
void | setKernel (int _blurRadius, float _blurSigma)
int | radius () const
| radius
int | samples () const
| number of samples
int | sigma () const
| blur sigma
const std::vector< ACG::Vec2f > & | offsetsX () const
| sample offsets along x direction
const std::vector< ACG::Vec2f > & | offsetsY () const
| sample offsets along y direction
const std::vector< float > & | weights () const
| sample weights
Public Member Functions inherited from ACG::BaseSeparableFilterKernel
| BaseSeparableFilterKernel (int _texWidth, int _texHeight, GLenum _internalfmt=GL_RGBA)
virtual | ~BaseSeparableFilterKernel ()
| Class destructor.
bool | execute (GLuint _srcTexture, ACG::FBO *_dstFBO=0, GLuint _dstColorAttachment=GL_COLOR_ATTACHMENT0, GLuint _tempColorAttachment=0)
void | resizeInput (int _texWidth, int _texHeight)
int | texWidth () const
| input texture width
int | texHeight () const
| input texture height
const ACG::Vec2f & | texelSize () const
| texel size in uv space
GLenum | internalFormat () const
| internal format of the input texture

## Protected Member Functions
virtual GLSL::Program * | setupPass (int _pass, GLuint _srcTex) override
void | updateKernel () override

## Private Attributes
int | radius_
int | samples_
float | sigma_
| blur std
QStringList | macros_
| shader macros
std::vector< ACG::Vec2f > | offsetsX_
| filter taps
std::vector< ACG::Vec2f > | offsetsY_
std::vector< float > | weights_
| kernel weights

## Detailed Description

Definition at line 160 of file FilterKernels.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/ACG/GL/FilterKernels.hh
- OpenFlipper/libs_required/ACG/GL/FilterKernels.cc